# com.google.android.exoplayer2.decoder

## Interfaces

- Decoder
- OutputBuffer.Owner

## Classes

- Buffer
- CryptoInfo
- DecoderCounters
- DecoderInputBuffer
- DecoderReuseEvaluation
- OutputBuffer
- SimpleDecoder
- SimpleOutputBuffer

## Exceptions

- DecoderException
- DecoderInputBuffer.InsufficientCapacityException

## Annotation Types

- DecoderInputBuffer.BufferReplacementMode
- DecoderReuseEvaluation.DecoderDiscardReasons
- DecoderReuseEvaluation.DecoderReuseResult